net.sf.jasperreports.engine.export

## Class JRGraphics2DExporterParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRExporterParameter
  - - net.sf.jasperreports.engine.export.JRGraphics2DExporterParameter

- Deprecated.
  Replaced by `Graphics2DExporterConfiguration` and `Graphics2DExporterOutput`.

      public class JRGraphics2DExporterParameter
      extends JRExporterParameter

  Contains parameters useful for export to an AWT `Graphics2D` object.
  Version:
    $Id: JRGraphics2DExporterParameter.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JRGraphics2DExporterParameter` | `GRAPHICS_2D` Deprecated. Replaced by `Graphics2DExporterOutput.getGraphics2D()`.
    `static JRGraphics2DExporterParameter` | `MINIMIZE_PRINTER_JOB_SIZE` Deprecated. Replaced by `Graphics2DReportConfiguration.isMinimizePrinterJobSize()`.
    `static JRGraphics2DExporterParameter` | `ZOOM_RATIO` Deprecated. Replaced by `Graphics2DReportConfiguration.getZoomRatio()`.

    - ### Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRGraphics2DExporterParameter(java.lang.String name)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### GRAPHICS_2D

          public static final JRGraphics2DExporterParameter GRAPHICS_2D

      Deprecated. Replaced by `Graphics2DExporterOutput.getGraphics2D()`.

    - #### ZOOM_RATIO

          public static final JRGraphics2DExporterParameter ZOOM_RATIO

      Deprecated. Replaced by `Graphics2DReportConfiguration.getZoomRatio()`.

    - #### MINIMIZE_PRINTER_JOB_SIZE

          public static final JRGraphics2DExporterParameter MINIMIZE_PRINTER_JOB_SIZE

      Deprecated. Replaced by `Graphics2DReportConfiguration.isMinimizePrinterJobSize()`.

  - ### Constructor Detail

    - #### JRGraphics2DExporterParameter

          protected JRGraphics2DExporterParameter(java.lang.String name)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com